< Back


# Packages

-  package root
  Definition Classes
    root
-  package mutationtesting
  Definition Classes
    root
- DirOps
- FileOps
- Location
- MetricMutant
- Metrics
- MetricsDirectory
- MetricsFile
- MetricsResult
- MetricsResultRoot
- MutantResult
- MutantStatus
- MutationTestReport
- MutationTestResult
- Position
- Thresholds

c

mutationtesting

# MetricsFile

###

#### final case class MetricsFile(fileName: String, mutants: Iterable[MetricMutant]) extends MetricsResult with FileOps with Product with Serializable

Linear Supertypes
Serializable, Product, Equals, FileOps, MetricsResult, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MetricsFile
2. Serializable
3. Product
4. Equals
5. FileOps
6. MetricsResult
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new MetricsFile(fileName: String, mutants: Iterable[MetricMutant])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  lazy val compileErrors: Int

   The mutant resulted in a compiler error.

   The mutant resulted in a compiler error. This can happen in compiled languages. Don't spend too much attention looking at this mutant. It is not represented in your mutation score.

   Definition Classes
     FileOps → MetricsResult
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  val fileName: String
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  lazy val killed: Int

    At least one test failed while this mutant was active.

    At least one test failed while this mutant was active. The mutant is killed. This is what you want, good job!

    Definition Classes
      FileOps → MetricsResult
13.  val mutants: Iterable[MetricMutant]
    Definition Classes
      MetricsFile → FileOps
14.  lazy val mutationScore: Double

    The total percentage of mutants that were killed.

    The total percentage of mutants that were killed.

    Definition Classes
      MetricsResult
15.  lazy val mutationScoreBasedOnCoveredCode: Double

    The total percentage of mutants that were killed based on the code coverage results.

    The total percentage of mutants that were killed based on the code coverage results.

    Definition Classes
      MetricsResult
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  lazy val noCoverage: Int

    No tests are executed to test this mutant, because the mutant is located in a part of the code that is not hit by any of your tests.

    No tests are executed to test this mutant, because the mutant is located in a part of the code that is not hit by any of your tests. This means the mutant also survived and your missing a test case for it.

    Definition Classes
      FileOps → MetricsResult
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  def productElementNames: Iterator[String]
    Definition Classes
      Product
21.  lazy val survived: Int

    All tests passed while this mutant was active.

    All tests passed while this mutant was active. the mutant survived. You're missing a test for it.

    Definition Classes
      FileOps → MetricsResult
22.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
23.  lazy val timeout: Int

    The running of tests with this mutant active resulted in a timeout.

    The running of tests with this mutant active resulted in a timeout. For example, the mutant resulted in an infinite loop in your code. Don't spend too much attention to this mutant. It is counted as "detected". The logic here is that if this mutant were to be injected in your code, your CI build would detect it, because the tests will never complete.

    Definition Classes
      FileOps → MetricsResult
24.  lazy val totalCovered: Int

    The number of mutants that your tests produce code coverage for.

    The number of mutants that your tests produce code coverage for.

    Definition Classes
      MetricsResult
25.  lazy val totalDetected: Int

    The number of mutants detected by your tests.

    The number of mutants detected by your tests.

    Definition Classes
      MetricsResult
26.  lazy val totalInvalid: Int

    The number of mutants that are invalid.

    The number of mutants that are invalid. They couldn't be tested because they produce either a compile error.

    Definition Classes
      MetricsResult
27.  lazy val totalMutants: Int

    All mutants.

    All mutants.

    Definition Classes
      MetricsResult
28.  lazy val totalUndetected: Int

    The number of mutants that are not detected by your tests.

    The number of mutants that are not detected by your tests.

    Definition Classes
      MetricsResult
29.  lazy val totalValid: Int

    The number of mutants that are valid.

    The number of mutants that are valid. They didn't result in a compile error or runtime error.

    Definition Classes
      MetricsResult
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from FileOps

### Inherited from MetricsResult

### Inherited from AnyRef

### Inherited from Any

### Ungrouped